%define oname kmenuedit

Summary:	Plasma 5 kmenuedit
Name:		plasma5-%{oname}
Version:	5.2.1
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5sonnet-devel
BuildRequires:	kiconthemes-devel
BuildRequires:	kdbusaddons-devel
BuildRequires:	kxmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Xml)

%description
Plasma 5 kmenuedit.

%files
%{_kde5_bindir}/kmenuedit
%{_kde5_libdir}/libkdeinit5_kmenuedit.so
%{_kde5_applicationsdir}/org.kde.kmenuedit.desktop
%{_kde5_datadir}/kmenuedit/icons/hicolor/*
%{_kde5_datadir}/locale/kf5/*/LC_MESSAGES/kmenuedit.mo
%{_kde5_datadir}/doc5/HTML/en/kmenuedit/*
%{_kde5_datadir}/kxmlgui5/kmenuedit/kmenueditui.rc
%{_kde5_iconsdir}/hicolor/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}


%build
%cmake_kde5_kf5locales -DKDE_DEFAULT_HOME=.kde5
%make

%install
%makeinstall_std -C build



